The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
Não pode escolher mais do que 25 tópicos Os tópicos devem começar com uma letra ou um número, podem incluir traços ('-') e podem ter até 35 caracteres.
 
 
 
 

27 linhas
595 B

  1. #!/bin/bash
  2. #
  3. # Set up python venv to run scripts in bin
  4. #
  5. function die {
  6. echo 1>&2 "$0: ${1}"
  7. exit 1
  8. }
  9. BUBBLE_HOME="$(cd $(dirname ${0})/.. && pwd)"
  10. cd ${BUBBLE_HOME} || die "Error changing to ${BUBBLE_HOME} dir"
  11. if [[ ! -d "${BUBBLE_HOME}/.venv" ]] ; then
  12. python3 -m venv ./.venv || die "Error creating venv"
  13. fi
  14. . ${BUBBLE_HOME}/.venv/bin/activate || die "Error activating bubble venv"
  15. python3 -m pip install requests || die "Error installing pip packages"
  16. if [[ ! -z "${1}" ]] ; then
  17. script=${1}
  18. shift
  19. echo python3 "${script}" "${@}"
  20. else
  21. echo "venv successfully set up"
  22. fi